> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 指定されたカタログにレコードを追加します。

> 一度に追加できるレコード数の上限は 5000 件です



## OpenAPI

````yaml /ja/openapi.json post /api/publicapi/v1/catalogs/{catalogId}/records
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/records:
    post:
      tags:
        - CatalogRecords
      summary: 指定されたカタログにレコードを追加します。
      description: 一度に追加できるレコード数の上限は 5000 件です
      operationId: AddRecords
      parameters:
        - description: カタログ識別子。すべてのカタログの一覧で確認できます。
          in: path
          name: catalogId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/*+json:
            schema:
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
              maxItems: 5000
              minItems: 1
              type: array
          application/json:
            schema:
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
              maxItems: 5000
              minItems: 1
              type: array
          application/json-patch+json:
            schema:
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
              maxItems: 5000
              minItems: 1
              type: array
          text/json:
            schema:
              items:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel
              maxItems: 5000
              minItems: 1
              type: array
        description: 追加するレコード
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult
          description: 操作は正常に完了しました。詳細はレスポンスを参照してください。
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: レコード数が不正です
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: カタログが見つかりません
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Requests.RecordModel:
      additionalProperties: false
      description: カタログ内のレコードを表すモデル
      properties:
        fields:
          additionalProperties:
            items:
              type: string
            nullable: true
            type: array
          description: レコードのfield
          type: object
        id:
          description: レコードの一意のID
          minLength: 1
          type: string
      required:
        - fields
        - id
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.AddRecordsResultResult:
      additionalProperties: false
      properties:
        errorRows:
          additionalProperties:
            items:
              type: string
            nullable: true
            type: array
          description: 発生したエラー一覧
          type: object
        insertedRowCount:
          description: 正常に挿入された行数
          format: int32
          type: integer
      required:
        - errorRows
        - insertedRowCount
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````